server.port=8081
spring.application.name=tm

#MySQL
datasource.url = jdbc:mysql://127.0.0.1:3306/example
datasource.user = root
datasource.password =
datasource.driver = com.mysql.jdbc.Driver

hibernate.show_sql = true
hibernate.hbm2ddl.auto = update
hibernate.dialect = org.hibernate.dialect.MySQL5Dialect

#Postgree
spring.jpa.show-sql = true
spring.jpa.generate-ddl=true
spring.jpa.hibernate.ddl-auto = update
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.PostgreSQLDialect

spring.jpa.properties.hibernate.cache.use_second_level_cache=true
spring.jpa.properties.hibernate.cache.use_query_cache=true
spring.jpa.properties.hibernate.cache.region.factory_class=com.hazelcast.hibernate.HazelcastLocalCacheRegionFactory
#spring.jpa.properties.hibernate.cache.region.factory_class=com.hazelcast.hibernate.HazelcastCacheRegionFactory
#spring.jpa.properties.hibernate.cache.region.factory_class=org.hibernate.cache.ehcache.EhCacheRegionFactory
spring.jpa.properties.javax.persistence.sharedCache.mode=ALL

spring.jpa.properties.hibernate.cache.use_minimal_puts=true
spring.jpa.properties.hibernate.cache.hazelcast.use_lite_member=true
spring.jpa.properties.hibernate.cache.region_prefix=task-manager
spring.jpa.properties.hibernate.cache.provider_configuration_file_resource_path=hazelcast.xml

spring.jpa.database=POSTGRESQL
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true

spring.datasource.platform=postgres
spring.datasource.url=jdbc:postgresql://localhost:5432/tm
spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.username=postgres
spring.datasource.user=postgres
spring.datasource.password=postgres